cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
893
Views
0
Helpful
8
Replies

Unable to download upgrades to CSPC

FL_Cancer
Beginner
Beginner

Trying to upgrade our Cisco CSPC to the latest version. The upgrade icon is not working in the GUI. Tried downloading from CLI and am getting the following error:

 

admin# upgrade

Version Description
-------------------------------------------------------
sp-30.1.1-6-0-lnx64 Collector patch to upgrade to CSPC 2.8.1.6.
sp-30.0.4-9-0-lnx64 Collector patch to upgrade to CSPC 2.7.4.9

Download and apply of a package can take a while.
It is recommended to schedule the upgrade.

Do you want to continue [y|n] ?y


Please enter the version to upgrade :sp-30.1.1-6-0-lnx64

 

Do you want to continue with download and apply [y|n] ?y


Connection to Software Download Server will use User Id xxxx@xxxxx.com

In order to download software, please indicate that you have read and agree
to be bound by the Cisco End User License Agreement which can be viewed at
http://www.cisco.com/en/US/docs/general/warranty/English/EU1KEN_.html

Accept License Agreement (y|n)? y

 

Attempting to download the requested package.....sp-30.1.1-6-0-lnx64
execute % Error occured while executing command
admin#

8 Replies 8

Supriya Patel
Cisco Employee
Cisco Employee

HI User,

 

What is your current version of collector? you can find that using command 'show version -d' (with CLI login use 'admin' to collector). As well, I would recommend to use manual upgrade process using below guide which has step-by-step to upgrade collector.

 

https://www.cisco.com/c/dam/en/us/support/docs/cloud-systems-management/common-services-platform-collector-cspc/CSPC-Upgrade-Guide.pdf

 

Thanks,
Supriya

Here's what version we are running:

 

admin# show version -d
Build-name : Collection Platform Software 2.7.3

Package-type : ServicePack
Version : sp-30.0.3-0-0-lnx64
Component : CSPC Base
Version : 2.7.3
Package-type : JeOS
Version : jeos-30.0.3-0-lnx64
Component : AdminShell
Version : 1.6
Component : LCM
Version : 1.6
Component : CASP
Version : 2.7.3
Component : ConcsoTgw
Version : 1.7.0
Component : Hardened CentOS
Version : 6.8 patch#0

Hi User,

 

Please check page 19 and Chapter 3. Please do let me know if you have any question.

 

Thanks,

supriya

Supriya,

 

I am seeing this error when I try to unzip the file. Is this a concern?

[root@localhost opt]# unzip collector_2.8.1.4_Build-16.zip
Archive: collector_2.8.1.4_Build-16.zip
error [collector_2.8.1.4_Build-16.zip]: missing 60182 bytes in zipfile
(attempting to process anyway)
error [collector_2.8.1.4_Build-16.zip]: attempt to seek before beginning of zipfile
(please check that you have transferred or created the zipfile in the
appropriate BINARY mode and that you have compiled UnZip properly)
(attempting to re-compensate)
creating: collector_2.8.1.4_Build-16/
inflating: collector_2.8.1.4_Build-16/install.sh
extracting: collector_2.8.1.4_Build-16/jeos-30.1.1-4-lnx64.zip bad CRC f93aea52 (should be 8fbc6459)
file #4: bad zipfile offset (local header sig): 795280818
(attempting to re-compensate)
file #4: bad zipfile offset (local header sig): 795280818

 

Curt 

 

 

 

 

Supriya,

 

I was able to resolve the FTP issue

 

Curt 

 

Supriya,

 

For some odd reason, after I did the ./install.sh JeOS jeos-30.1.1-4-lnx64.zip command; I lost connectivity to collectorlogin and root. I had to reset the passwords to gain access again. Is that normal?

 

Curt

 

Supriya,

 

Success!! Please advise on next steps

 

admin# show version -d
Build-name : Collection Platform Software 2.8.1.4

Package-type : ServicePack
Version : sp-30.1.1-4-0-lnx64
Component : CSPC Base
Version : 2.8.1.4
Package-type : JeOS
Version : jeos-30.1.1-4-lnx64
Component : AdminShell
Version : 1.9.1
Component : LCM
Version : 1.9.1
Component : CASP
Version : 2.8.1.4
Component : ConcsoTgw
Version : 1.7.7
Component : Hardened CentOS
Version : 6.10 patch#0

Hi,

 

Latest image can be downloaded using below link:

https://software.cisco.com/download/home/286312935/type/286312958/release/2.8.1.6

Thanks,

Supriya

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community:

Recognize Your Peers